<ion-header class="home">
  <ion-navbar no-border-bottom>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Pencarian Peraturan Pajak</ion-title>

    <ion-buttons end>
      <button ion-button icon-only (click)="openTrueSetting()">
        <ion-icon ios="md-more" md="md-more"></ion-icon>
      </button>
    </ion-buttons>
  </ion-navbar>
  
 

  <div *ngIf="checkLogin() === 0" >
	<img (click)="openSetting()" style="height: 100%;width: 100%;object-fit: contain" [src]="notAccess">
	<ion-item>
      <ion-grid>
        <ion-col col-6 offset-3>
	<button (click)="openSetting()"  class="button-link" ion-button block>Halaman Login</button>
		</ion-col>
      </ion-grid>
    </ion-item>
	</div>

	<div *ngIf="platform.isLandscape()" style="align-object:center; text-align:center">
	<img style="height: 50%;width: 50%;object-fit: contain" [src]="putarArah">
	</div>
	
  <form *ngIf="checkLogin() === 1 && platform.isPortrait()" #f="ngForm" (ngSubmit)="search(f)" novalidate>
    <ion-item style="padding-right: 10px">
      <button ion-button icon-only disabled="disabled">
        <ion-icon ios="md-search" md="md-search"></ion-icon>
      </button>
      <ion-label class="label-input" style="color:black;" floating>Masukkan Kata</ion-label>
      <ion-input class="border-bottom-input" style="color:black;" [(ngModel)]="keyword" ngModel #keyword_="ngModel" name="keyword" type="text" required></ion-input>
    </ion-item>
    <ion-item style="padding-right: 10px">
      <ion-label class="label-input" style="color:black;" floating>Nomor Aturan</ion-label>
      <ion-input class="border-bottom-input" style="color:black;" [(ngModel)]="ruleNumber" ngModel #ruleNumber_="ngModel" type="rule" name="ruleNumber" required pattern="[A-Za-z0-9._%+-]{3,}@[a-zA-Z]{3,}([.]{1}[a-zA-Z]{2,}|[.]{1}[a-zA-Z]{2,}[.]{1}[a-zA-Z]{2,})"></ion-input>
    </ion-item>
    <div *ngIf="!stateSearch">
    <ion-grid style="background-color:white;">
      <ion-row>
        <ion-col col-12>
          <ion-item style="padding-right: 0px; padding-left: -10px;">
            <ion-label class="label-input" style="color:black;" floating>Tahun Pajak</ion-label>
            <ion-datetime class="border-bottom-input" [(ngModel)]="tahunPajak" ngModel #tahunPajak_="ngModel" displayFormat="YYYY" name="tahunPajak"></ion-datetime>
          </ion-item>
        </ion-col>
      </ion-row>
    </ion-grid>
    
    <ion-grid style="background-color:white;">
    <ion-row>
     <ion-col col-6>
          <ion-item style="padding: 0">
            <ion-label class="label-input" style="color:black;" floating>Level</ion-label>
            <ion-select [(ngModel)]="levels" style="color:black;" ngModel #levels_="ngModel" name = "level" class="border-bottom-input" >
              <ion-option [value]="undefined">-- Empty --</ion-option>
              <ion-option *ngFor="let value of level" value="{{value.id}}">{{value.name}}</ion-option>
            </ion-select>
          </ion-item>
        </ion-col>
    <ion-col col-6>
    <ion-item style="padding: 0">
      <ion-label class="label-input" style="color:black;" floating>Topik</ion-label>
      <ion-select [(ngModel)]="topiks" style="color:black;" ngModel #topiks_="ngModel" class="border-bottom-input" name="topik">
        <ion-option [value]="undefined">-- Empty --</ion-option>
        <ion-option *ngFor="let value of topik" value={{value.id}}>{{value.name}}</ion-option>
      </ion-select>
    </ion-item>
    </ion-col>
    </ion-row>
    </ion-grid>
     </div>

	 <table border="0" style="height:100%; width:100%; background-color:white; padding-top:1%; padding-bottom:1%">
	<tr style="height:100%; width:100%;" valign="center" align="center">
      <td valign="center" style="margin-left:5%;">
	  <ion-label *ngIf="stateSearch === true" class="button-input" (click)="openSearch()" ion-button small style="background-color: #00CC99; text-transform: none;">Pencarian Detail &nbsp; &nbsp; +</ion-label>
	  <ion-label *ngIf="stateSearch === false" class="button-input" (click)="openSearch()" ion-button small style="background-color: #00CC99; text-transform: none;">Pencarian Detail &nbsp; &nbsp; -</ion-label>
	  &nbsp; &nbsp; &nbsp;
	   <button class="button-input" ion-button small style="text-transform: none;">Cari</button>
	   </td>
	  </tr>
	  </table>
   
  </form>
</ion-header>

<ion-content class="home">

  <ion-list-header *ngIf="regulationItems" style="padding: 0">
    <ion-item-sliding style="border-bottom: 1px solid #dedede;" *ngFor="let data of regulationItems">
      <button ion-item style="padding: 0" (click)="goToDetail(data.id)">
        <ion-grid>
          <ion-row>
            <ion-col col-12>
              <h2 style="white-space: nowrap;overflow: hidden;text-overflow: ellipsis;">{{data.title}}</h2>
              <h4 style="font-size: 10px; color: #84AFD9;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;">
                {{data.date}}
              </h4>
              <h4 style="font-size: 10px; color: #84AFD9;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;">
                {{data.no_aturan}}
              </h4>
              <h4 style="font-size: 10px; color: #84AFD9;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;">
                {{data.topik}}
              </h4>
              <h4 style="font-size: 10px; color: #84AFD9;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;">
                {{data.level}}
              </h4>
              <h4 style="font-size: 10px; color: #84AFD9;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;">
                {{data.url_share}}
              </h4>
            </ion-col>
          </ion-row>
        </ion-grid>
      </button>
    </ion-item-sliding>
    <ion-infinite-scroll (ionInfinite)="doInfinite($event)">
      <ion-infinite-scroll-content loadingText="Memuat konten..."></ion-infinite-scroll-content>
    </ion-infinite-scroll>
  </ion-list-header>

  <h2 *ngIf="isEmptyData">Maaf, dokumen yang dicari belum dapat ditemukan</h2>

</ion-content>
